import {
	service
} from '../utils/request';


/*
 * 登录
 *  return promise 实例对象
 */
export function login(data) {
  return service({
    url:'/mosty-base/login',
    method: 'POST',
    data
  });
};
/*
 * 身份证登录
 *  return promise 实例对象
 */
export function idCardlogin(data) {
  return service({
    url:'/auth/loginByIdCardNo',
    method: 'post',
    data
  });
};

/*
 *
登出
 *  return promise 实例对象
 */
export function loginOut(data) {
  return service({
    url:'/mosty-base/loginOut',
    method: 'post',
    data
  })
}

/*
 * 查询用户信息
 *  return promise 实例对象
 */
export function getUserInfo(data) {
  return service({
      url: `/mosty-base/sysUser/getUserInfo/${data}`,
      method: "get"
  });
};
// 新增的用户信息用于民辅警一起
export function getUserOrFjInfo(params) {
  return service({
      url: `/admin/users/getInfo`,
      method: "get",
      params
  });
};

/*
 * 添加用户默认设置模板
 * 
 */
export function setUserDefaultModleData(data) {
  return service({
      url: `/mosty-base/sysUserAppHomeconfig/addDefaultConfig`,
      method: "post",
      data
  });
};

/*
 * 获取当前位置信息(泸州的)
 * 
 */
export function getUserLzLocation(params) {
  return service({
      url: `/mosty-base/other/getLzAddress`,
      method: "get",
      params
  });
};



